Bug Hunting Session
Bug 52208 - [DOCX] FILEOPEN: additional empty page after a continuous section break at the end of document
Summary: [DOCX] FILEOPEN: additional empty page after a continuous section break at th...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.1 rc
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.7.0 target:3.6.4
Keywords: regression
Depends on:
Blocks: 54660
  Show dependency treegraph
 
Reported: 2012-07-17 16:44 UTC by Valek Filippov
Modified: 2018-07-26 12:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File with a problem (18.00 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-07-17 16:44 UTC, Valek Filippov
Details
Screenshot from word2010 (12.66 KB, image/png)
2012-07-17 16:45 UTC, Valek Filippov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2012-07-17 16:44:36 UTC
Created attachment 64325 [details]
File with a problem

Attached file demonstrated a little regression in 3.6rc1 and bug in LO Writer 3.5/3.6.

Compare results with screenshot from MSO, 3.6rc1 creates additional (empty) page and put light blue rectangle over the text in table (3.5 place this rectangle over the text at the start of the document and do not create additional page).
Comment 1 Valek Filippov 2012-07-17 16:45:41 UTC
Created attachment 64326 [details]
Screenshot from word2010
Comment 2 Korrawit Pruegsanusak 2012-07-29 12:19:44 UTC
For the additional pages problem ONLY:

[REPRODUCIBLE] on WinXP with
- 3.6.0.4 RC official
- master build from W2008R2@20-With-Symbol-Bytemark-Hosting pull time 2012-07-15 01:33:34 core:146b507f9f52daa7378aaeddf6725b9ab129af61

[NOT REPRODUCIBLE] with
- master build from W2008R2@16-minimal_build pull time 2012-06-27 04:02:20 core:3f135598fd508e70f31f36cd8a8d7a61ccf4ff79
Comment 3 Korrawit Pruegsanusak 2012-07-29 12:20:45 UTC
For rectangle over text problem: reproducible with all mentioned builds.
Comment 4 Korrawit Pruegsanusak 2012-09-08 06:09:07 UTC
(In reply to comment #3)
> For rectangle over text problem: reproducible with all mentioned builds.

Filed bug 54660. Reduce this bug to 1 problem.
Comment 5 Korrawit Pruegsanusak 2012-09-08 06:11:19 UTC
Hello Miklos,

Unfortunately, I've done git bisect and found that your commit introduced this "additional pages" bug: http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fdd61db155cf63d5dd55cc2bfb45af33796e131

Could you please have a look? Thanks in advanced. :-)
Comment 6 Korrawit Pruegsanusak 2012-09-08 06:13:55 UTC
More descriptive bug title
Comment 7 Miklos Vajna 2012-09-10 10:02:37 UTC
Hello Korrawit,

Thanks for the bisect! I'll try to get to this soon, sure.

Miklos
Comment 8 Not Assigned 2012-10-15 11:05:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=abd4ffadf30e02284290ea35e8f45d9ffd8eb5ee

fdo#52208 DOCX import: don't always ignore cont sect break at the doc end



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Miklos Vajna 2012-10-15 11:16:35 UTC
The regression is now resolved in master, -3-6 review request: https://gerrit.libreoffice.org/877

Valek, it would be nice if you could please open a separate bug for the shape part, which never worked, but is still a bug.
Comment 10 Korrawit Pruegsanusak 2012-10-17 10:39:32 UTC
(In reply to comment #9)
> The regression is now resolved in master

Thanks Miklos :-)

> Valek, it would be nice if you could please open a separate bug for the
> shape part, which never worked, but is still a bug.

I've already done that, please see bug 54660.
Comment 11 Not Assigned 2012-10-19 09:38:16 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b7cc2a8a22d3723a1efff515eb07669166f158a8&g=libreoffice-3-6

fdo#52208 DOCX import: don't always ignore cont sect break at the doc end


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.